matrix:
  platform:
  - debian11
  - ubuntu2404
  - macos
  - macos_arm64
  bazel:
  - 8.x
tasks:
  verify_targets:
    name: Verify build targets
    platform: ${{ platform }}
    bazel: ${{ bazel }}
    build_targets:
    - '@lcm//lcm-java:lcm-java'
    - '@lcm//lcm-java:lcm-logplayer-gui'
    - '@lcm//lcm-java:lcm-spy'
    - '@lcm//lcm-logger:lcm-logger'
    - '@lcm//lcm-logger:lcm-logplayer'
    - '@lcm//lcm-python:lcm-python'
    - '@lcm//lcm:lcm-shared'
    - '@lcm//lcm:lcm-static'
    - '@lcm//lcmgen:lcm-gen'
bcr_test_module:
  module_path: examples/bazel
  matrix:
    platform:
    - debian11
    - ubuntu2404
    - macos
    - macos_arm64
    bazel:
    - 8.x
  tasks:
    run_test_module:
      name: Run test module
      platform: ${{ platform }}
      bazel: ${{ bazel }}
      build_targets:
      - //...
      test_targets:
      - //...
